# Nuxt 3 Sample for ImageFlux Live Streaming

## 本サンプルで示したいこと

* HLSプレイリストURLの取得方法
* チャンネル作成、配信開始の方法
* ログインしているユーザー限定でHLS再生ができること
* ログアウトするとHLS再生が止まること
* HLS暗号鍵を取得するAPIの実装方法
* ローカルホストでの開発時にngrokを使ってwebhookを受信する方法
* ローカルホストでの開発時にHLS暗号鍵を取得するAPIのCORS対策
* 配信終了時のカメラのクローズ方法

## Setup

1. vscodeで本プロジェクトフォルダを開く  
2. vscodeのDev Containers機能を使い、「Reopen in Container」でdockerコンテナとして起動  
3. TCPポート8081を占有するため、他のポート番号に変更したい場合は2ヶ所を修正する  
.devcontainer/devcontainer.json 8行目の `appPort: 8081,` を変更  
package.json 7行目の `--port 8081` を変更  
4. ターミナルを開いて以下のコマンドを実行
```bash
npm i
cp .env.sample .env
```
5. .envの IMAGEFLUX_API_ENDPOINT, IMAGEFLUX_ACCESS_TOKEN を自身の値に書き換え  

## Development Server

1. dockerホストコンピュータでngrokを起動  
```bash
ngrok http 8081
```

2. .envの YOUR_NGROK_HOST をngrokの割り当てられたホスト名に書き換え  
3. ターミナルを開いて以下のコマンドを実行
```bash
npm run dev
```

4. ブラウザを2つ開く  
配信用ページ http://127.0.0.1:8081/  
HLS再生用ページ http://127.0.0.1:8081/hls  

5. 配信用ページで配信開始し、Get Playlistで表示されたURLをクリップボードにコピーする  
6. シークレットウィンドウまたはゲストモード等でブラウザを開き、HLS再生用ページで、クリップボードにコピーしたプレイリストURLをペーストして再生ボタンをクリックする  
