export default defineEventHandler(async (event) => {
  if (!process.env.IMAGEFLUX_API_ENDPOINT || !process.env.IMAGEFLUX_ACCESS_TOKEN
    || !process.env.IMAGEFLUX_AUTH_WEBHOOK || !process.env.IMAGEFLUX_EVENT_WEBHOOK
    || !process.env.IMAGEFLUX_ENCRYPT_KEY) {
    throw createError({
      statusCode: 401,
      message: 'env IMAGEFLUX_API_ENDPOINT, IMAGEFLUX_ACCESS_TOKEN, IMAGEFLUX_AUTH_WEBHOOK, IMAGEFLUX_EVENT_WEBHOOK, IMAGEFLUX_ENCRYPT_KEY are required',
    })
  }

  const _session = await requireUserSession(event)
  console.log('called apitest', _session)
  const message = 'Hello, ' + _session.user.username + '!'
  return { message }
})
