export default defineEventHandler(async (event) => {
  const _session = await requireUserSession(event)
  const request = await readBody(event)
  try {
    const _response = await call_delete_channel_api(request.channel_id)
  }
  catch (e) {
    console.error(e)
    throw createError({
      statusCode: 401,
      message: (e instanceof Error) ? e.message : e + '',
    })
  }
  return { result: 'ok' }
})

// チャンネル削除
async function call_delete_channel_api(channel_id: string) {
  const response = await $fetch(process.env.IMAGEFLUX_API_ENDPOINT as string, {
    method: 'POST',
    headers: {
      'Authorization': 'Bearer ' + process.env.IMAGEFLUX_ACCESS_TOKEN,
      'X-Sora-Target': 'ImageFlux_20180501.DeleteChannel',
    },
    body: {
      channel_id,
    },
  })
  return response
}
