export default eventHandler(async (event) => {
  const { username, password } = await readBody(event)
  if (!username) {
    throw createError({
      statusCode: 401,
      message: 'Username is required',
    })
  }
  if (password !== '123456') {
    throw createError({
      statusCode: 401,
      message: 'Wrong password',
    })
  }
  await clearUserSession(event)
  await setUserSession(event, {
    user: {
      user_id: await dummyUserID(username),
      username,
    },
    loggedInAt: Date.now(),
  })

  return {}
})

async function dummyUserID(text: string) {
  const uint8 = new TextEncoder().encode(text)
  const digest = await crypto.subtle.digest('SHA-256', uint8)
  return Array.from(new Uint8Array(digest)).map(v => v.toString(36).padStart(2, '0')).join('')
    .substring(0, 8)
}
